# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bencher/Backend.pm) perl(Data/Sah.pm) perl(Data/Sah/Coerce.pm) perl(Data/Sah/Normalize.pm) perl(Data/Sah/Util/Subschema.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Time/Local.pm) perl(Time/Moment.pm)
# END SourceDeps(oneline)
%define module_name Bencher-Scenarios-DataSah
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: A collection of bencher scenarios to benchmark Data::Sah
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Bencher-Scenarios-DataSah

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution contains the following the Bencher manpage scenario modules:

=over

=item * the Bencher::Scenario::DataSah::extract_subschemas manpage

=item * the Bencher::Scenario::DataSah::gen_coercer manpage

=item * the Bencher::Scenario::DataSah::Validate manpage

=item * the Bencher::Scenario::DataSah::normalize_schema manpage

=item * the Bencher::Scenario::DataSah::Coerce manpage

=item * the Bencher::Scenario::DataSah::gen_validator manpage

=item * the Bencher::Scenario::DataSah::Startup manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/B*

%changelog
* Fri Nov 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

